Package org.jfree.layouting.renderer.process

## Class CenterAlignmentProcessor

- java.lang.Object
- - org.jfree.layouting.renderer.process.AbstractAlignmentProcessor
  - - org.jfree.layouting.renderer.process.CenterAlignmentProcessor

- All Implemented Interfaces:
    `TextAlignmentProcessor`

      public class CenterAlignmentProcessor
      extends AbstractAlignmentProcessor

  Right alignment strategy. Not working yet, as this is unimplemented right now.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CenterAlignmentProcessor​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected int` | `handleLayout​(int start, int count, int contentIndex, long usedWidth)` |

    - ### Methods inherited from class org.jfree.layouting.renderer.process.AbstractAlignmentProcessor

      `computeInlineBlock, getBreakableIndex, getElementDimensions, getElementPositions, getEndOfLine, getPageBreak, getPageGrid, getSequenceElements, getSkipIndex, getStartOfLine, handleElement, hasNext, initialize, iterate, next, setBreakableIndex, setSkipIndex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CenterAlignmentProcessor

          public CenterAlignmentProcessor​()

  - ### Method Detail

    - #### handleLayout

          protected int handleLayout​(int start,
                                     int count,
                                     int contentIndex,
                                     long usedWidth)

      Specified by:
        `handleLayout` in class `AbstractAlignmentProcessor`